# Generated by Django 4.2.15 on 2024-08-23 07:17

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("dsfr", "0009_dsfrconfig_notice_type_alter_dsfrconfig_notice"),
    ]

    operations = [
        migrations.AddField(
            model_name="dsfrconfig",
            name="notice_icon_class",
            field=models.CharField(
                blank=True,
                default="",
                help_text="For weather alerts only",
                max_length=200,
                verbose_name="Notice icon class",
            ),
        ),
        migrations.AlterField(
            model_name="dsfrconfig",
            name="notice",
            field=models.TextField(
                blank=True,
                default="",
                help_text="The important notice banner should only be used for essential and temporary information.             (Excessive or continuous use risks “drowning” the message.)",
                verbose_name="Notice content",
            ),
        ),
        migrations.AlterField(
            model_name="dsfrconfig",
            name="notice_type",
            field=models.CharField(
                blank=True,
                choices=[
                    (
                        "Generic notices",
                        [
                            ("info", "Information"),
                            ("warning", "Warning"),
                            ("alert", "Alert"),
                        ],
                    ),
                    (
                        "Weather alert notices",
                        [
                            ("weather-orange", "Orange weather alert"),
                            ("weather-red", "Red weather alert"),
                            ("weather-purple", "Purple weather alert"),
                        ],
                    ),
                    (
                        "Alert notices",
                        [
                            ("attack", "Attack alert"),
                            ("witness", "Call for witnesses"),
                            ("cyberattack", "Cyberattack"),
                        ],
                    ),
                ],
                default="info",
                help_text='Use is strictly regulated, see <a href="https://www.systeme-de-design.gouv.fr/composants-et-modeles/composants/bandeau-d-information-importante/">documentation</a>.',
                max_length=20,
                verbose_name="Notice type",
            ),
        ),
    ]
