# Generated by Django 4.2.15 on 2024-08-23 07:48

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("dsfr", "0011_rename_notice_dsfrconfig_notice_title"),
    ]

    operations = [
        migrations.AddField(
            model_name="dsfrconfig",
            name="notice_description",
            field=models.TextField(
                blank=True,
                default="",
                help_text="Can include HTML",
                verbose_name="Notice description",
            ),
        ),
        migrations.AddField(
            model_name="dsfrconfig",
            name="notice_is_collapsible",
            field=models.BooleanField(default=False, verbose_name="Collapsible?"),
        ),
        migrations.AddField(
            model_name="dsfrconfig",
            name="notice_link",
            field=models.URLField(
                blank=True,
                default="",
                help_text="Standardized consultation link at the end of the notice.",
                verbose_name="Notice link",
            ),
        ),
        migrations.AlterField(
            model_name="dsfrconfig",
            name="notice_title",
            field=models.CharField(
                blank=True,
                default="",
                help_text="Can include HTML",
                max_length=250,
                verbose_name="Notice title",
            ),
        ),
        migrations.AlterField(
            model_name="dsfrconfig",
            name="notice_type",
            field=models.CharField(
                blank=True,
                choices=[
                    (
                        "Generic notices",
                        [
                            ("info", "Information"),
                            ("warning", "Warning"),
                            ("alert", "Alert"),
                        ],
                    ),
                    (
                        "Weather alert notices",
                        [
                            ("weather-orange", "Orange weather alert"),
                            ("weather-red", "Red weather alert"),
                            ("weather-purple", "Purple weather alert"),
                        ],
                    ),
                    (
                        "Alert notices",
                        [
                            ("attack", "Attack alert"),
                            ("witness", "Call for witnesses"),
                            ("cyberattack", "Cyberattack"),
                        ],
                    ),
                ],
                default="info",
                help_text='Use is strictly regulated, see             <a href="https://www.systeme-de-design.gouv.fr/composants-et-modeles/composants/bandeau-d-information-importante/">documentation</a>.',
                max_length=20,
                verbose_name="Notice type",
            ),
        ),
    ]
